apiVersion: kubevirt.io/v1
kind: VirtualMachineInstanceMigration
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
    kubevirt.io/workloadUpdateMigration: ""
  creationTimestamp: "2025-10-29T13:26:38Z"
  generateName: kubevirt-workload-update-
  generation: 1
  labels:
    kubevirt.io/vmi-name: vm-snapshot-upgrade-a-1761741897-5416875
  name: kubevirt-workload-update-pbrsh
  namespace: test-upgrade-namespace
  resourceVersion: "2235605"
  uid: 5d41c943-d7f8-4ca8-8d4b-1053d1588d86
spec:
  vmiName: vm-snapshot-upgrade-a-1761741897-5416875
status:
  migrationState:
    completed: true
    endTimestamp: "2025-10-29T13:27:01Z"
    migrationConfiguration:
      allowAutoConverge: false
      allowPostCopy: false
      allowWorkloadDisruption: false
      bandwidthPerMigration: "0"
      completionTimeoutPerGiB: 150
      nodeDrainTaintKey: kubevirt.io/drain
      parallelMigrationsPerCluster: 5
      parallelOutboundMigrationsPerNode: 2
      progressTimeout: 150
      unsafeMigrationOverride: false
    migrationUid: 5d41c943-d7f8-4ca8-8d4b-1053d1588d86
    mode: PreCopy
    sourceNode: cnvqe-070.lab.eng.tlv2.redhat.com
    sourcePod: virt-launcher-vm-snapshot-upgrade-a-1761741897-5416875-v5qj8
    startTimestamp: "2025-10-29T13:26:59Z"
    targetDirectMigrationNodePorts:
      "35465": 0
      "45909": 49152
    targetNode: cnvqe-071.lab.eng.tlv2.redhat.com
    targetNodeAddress: 10.128.1.229
    targetNodeDomainDetected: true
    targetNodeDomainReadyTimestamp: "2025-10-29T13:27:01Z"
    targetPod: virt-launcher-vm-snapshot-upgrade-a-1761741897-5416875-xvgjs
  phase: Succeeded
  phaseTransitionTimestamps:
  - phase: Pending
    phaseTransitionTimestamp: "2025-10-29T13:26:38Z"
  - phase: Scheduling
    phaseTransitionTimestamp: "2025-10-29T13:26:52Z"
  - phase: Scheduled
    phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
  - phase: PreparingTarget
    phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
  - phase: TargetReady
    phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
  - phase: Running
    phaseTransitionTimestamp: "2025-10-29T13:26:59Z"
  - phase: Succeeded
    phaseTransitionTimestamp: "2025-10-29T13:27:01Z"
